Bug 139167 - update port: audio/mp3splt to version 0.2.6a
Summary: update port: audio/mp3splt to version 0.2.6a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-27 03:10 UTC by Timothy Beyer
Modified: 2009-11-27 02:24 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (487 bytes, patch)
2009-09-27 03:10 UTC, Timothy Beyer
no flags Details | Diff
file.diff (551 bytes, patch)
2009-09-27 03:10 UTC, Timothy Beyer
no flags Details | Diff
mp3splt.patch.txt (1.92 KB, text/plain)
2009-10-02 11:10 UTC, citrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-09-27 03:10:03 UTC
These patches make the following changes:

-Updates audio/mp3splt to version 2.2.6a, the latest version (Needs Update of audio/libmp3splt to the latest version -- see my submission to update audio/libmp3splt -- see http://www.freebsd.org/cgi/query-pr.cgi?pr=139166 for the PR)
-Makes according changes to Makefile
-Makes according changes to distinfo

Fix: The included patches
How-To-Repeat:     -Need to apply my submitted update for audio/libmp3splt first (mp3splt versions are tied directly to the respective version of libmp3splt -- the old mp3splt will not compile on newer versions of libmp3splt)
    -Apply the patches
Comment 1 Edwin Groothuis freebsd_committer 2009-09-27 03:10:15 UTC
Maintainer of audio/mp3splt,

Please note that PR ports/139167 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139167

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-27 03:10:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Timothy Beyer 2009-09-27 04:06:46 UTC
Hi,

The Makefile.diff in this isn't complete, I submitted an outdated makefile.  I apologize for the inconvenience.

Use the following Makefile.diff instead:

--- Makefile.diff begins here ---
--- Makefile.orig	2009-08-02 15:30:15.000000000 -0700
+++ Makefile	2009-09-05 16:27:18.000000000 -0700
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mp3splt
-PORTVERSION=	2.2.3
+PORTVERSION=	2.2.6a
 PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF
@@ -20,6 +20,7 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib" \
 		CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
+CONFIGURE_ARGS+=	--with-mp3splt=${LOCALBASE} --disable-mp3splttest
 
 MAN1=		mp3splt.1
 PLIST_FILES=	bin/mp3splt bin/oggsplt
--- Makefile.diff ends here ---
Comment 4 Wen Heping freebsd_committer 2009-09-27 07:26:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 5 citrin 2009-10-01 19:29:18 UTC
1. As I can see --with-mp3splt=${LOCALBASE} is not need

2. --disable-mp3splttest is need, but as workaround for some bug in mp3splt

3. NLS support found in this version and this should be handled in port 
too. I'll do It later.
Comment 6 citrin 2009-10-02 11:10:08 UTC
patch attached
Comment 7 dfilter service freebsd_committer 2009-11-27 02:09:06 UTC
wen         2009-11-27 02:08:54 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3splt        Makefile distinfo 
  Log:
  - Update to 2.2.6a
  
  PR:             ports/139167
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.25      +14 -4     ports/audio/mp3splt/Makefile
  1.11      +3 -3      ports/audio/mp3splt/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wen Heping freebsd_committer 2009-11-27 02:24:27 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!